org.springframework.batch.repeat

## Enum RepeatStatus

- java.lang.Object
- - java.lang.Enum<RepeatStatus>
  - - org.springframework.batch.repeat.RepeatStatus

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<RepeatStatus>

      public enum RepeatStatus
      extends java.lang.Enum<RepeatStatus>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CONTINUABLE` Indicates that processing can continue.
    `FINISHED` Indicates that processing is finished (either successful or unsuccessful)

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `RepeatStatus` | `and(boolean value)`
    `static RepeatStatus` | `continueIf(boolean continuable)`
    `boolean` | `isContinuable()`
    `static RepeatStatus` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static RepeatStatus[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### CONTINUABLE

          public static final RepeatStatus CONTINUABLE

      Indicates that processing can continue.

    - #### FINISHED

          public static final RepeatStatus FINISHED

      Indicates that processing is finished (either successful or unsuccessful)

  - ### Method Detail

    - #### values

          public static RepeatStatus[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (RepeatStatus c : RepeatStatus.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static RepeatStatus valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### continueIf

          public static RepeatStatus continueIf(boolean continuable)

    - #### isContinuable

          public boolean isContinuable()

    - #### and

          public RepeatStatus and(boolean value)